{% extends 'base.html.twig' %} 
{% block title %}Documents Reçus{% endblock %} 
{% block body %}

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Documents Reçus</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>Date de creation</th>
                    <th>Nom</th>
                    <th>Description</th>
                    <th>Détail</th>
                </tr>
                </thead>
                <tbody>
                {% for document in documents %}
                    <tr>
                        {% if app.user and document.isOpenedByUser(app.user) %}


                            <td><h5 class="table-td">{{ document.createdBy ? document.createdBy : '' }}
                                    le {{ document.createdAt ? document.createdAt|date('d-m-Y H:i:s') : '' }}</h5>
                            </td>
                            <td><h5 class="table-td">{{ document.name }}</h5></td>
                            <td><h5 class="table-td">{{ document.description }}</h5></td>

                        {% else %}

                            <td><strong class="table-td">{{ document.createdBy ? document.createdBy : '' }}
                                    le {{ document.createdAt ? document.createdAt|date('d-m-Y H:i:s') : '' }}</strong>
                            </td>
                            <td><strong class="table-td">{{ document.name }}</strong></td>
                            <td><strong class="table-td">{{ document.description }}</strong></td>

                        {% endif %}
                        <td>
                            <a>
                                <button class="btn btn-primary btn_telecharger_document"
                                        url="{{ path('document_opened', {'id': document.id}) }}"><span
                                            class="glyphicon glyphicon-floppy-save" title="Télécharger"></span></button>
                                {% if app.user and document.isOpenedByUser(app.user) %}
                                    <i></i>
                                {% else %}
                                    <i></i>
                                {% endif %}

                            </a>
                        </td>


                    </tr>

                {% else %}
                    <tr>
                        <td colspan="8">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(pdfdocuments) }}
            </div>
        </div>
    </div>
    <td>
        <a href="{{ path('document_index') }}">
            <button class="btn btn-primary"><span
                        class="glyphicon glyphicon-arrow-left" title="Retour au document envoyé"></span></button>
        </a>
    </td>
    <div class="modal fade" id="modalTelecharger" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header text-center">
                    <h4 class="modal-title w-100 font-weight-bold titre_modal_document"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="text-center">
                        <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                    </div>
                    <div class="content_modal_body">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                </div>
            </div>
        </div>
    </div>
    
{% endblock %}
{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_telecharger_document', function (event) {
            $('#modalTelecharger').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_document').html('Info document');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
    </script>

{% endblock %}